Katello - Bug #6147

passing organization_id and environment_id into system index action does not filter by
environment_id when org_id is also passed in

06/10/2014 06:05 PM - dustin tsang

Status: Closed

Priority: Normal

Assignee: dustin tsang

Category: API

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1112755 Red Hat JIRA:

Pull request:

Description

passing environment_id and organization_id only filters by organization and does not filter by environment_id

Associated revisions

Revision 01f18cdf - 06/16/2014 11:11 PM - dustin tsang
Fixes #6147 - filter both org and env in sys
systems index action does not filter by environment_id when both

organization_id and environment_id are passed; it only filters by
organization_id. This allows the index action to filter by both.

Revision 7555967 - 06/17/2014 03:59 PM - Thomas McKay

Merge pull request #4244 from dustint-rh/system_index_filter_org_env

Fixes #6147 - filter both org and env in sys

History

#1 - 06/10/2014 06:06 PM - dustin tsang

ref http://projects.theforeman.org/issues/5697

#2 - 06/10/2014 06:20 PM - dustin tsang

- Subject changed from passing organization_id and environment _id into system index action yields does not filter by environment _id to passing
organization_id and environment_id into system index action does not filter by environment _id when org_id is also passed in

#3 - 06/10/2014 06:20 PM - dustin tsang
- Description updated

#4 - 06/11/2014 12:07 AM - dustin tsang

ref http://projects.theforeman.org/issues/5697

#5 - 06/11/2014 12:29 AM - dustin tsang
https://github.com/Katello/katello/pull/4244

#6 - 06/11/2014 07:18 PM - Eric Helms
- Triaged changed from No to Yes

#7 - 06/16/2014 12:20 PM - Eric Helms

- Target version changed from 45 to 48

#8 - 06/17/2014 04:52 PM - dustin tsang
http://projects.theforeman.org/issues/5697
http://projects.theforeman.org/issues/5697
https://github.com/Katello/katello/pull/4244

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:01f18cdfb79636a3da1f01be05293d9411cce9fb.

#9 - 06/24/2014 03:51 PM - Eric Helms
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112755

#10 - 08/22/2014 08:33 AM - Eric Helms

- translation missing: en.field_release set to 13
